Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 757561 - app-text/lcdf-typetools-2.108 stabilisation and cleanup (was: uses deprecated EAPI 5)
Summary: app-text/lcdf-typetools-2.108 stabilisation and cleanup (was: uses deprecated...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexis Ballier
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2020-11-29 08:50 UTC by charles17
Modified: 2021-03-27 16:11 UTC (History)
3 users (show)

See Also:
Package list:
app-text/lcdf-typetools-2.108
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description charles17 2020-11-29 08:50:28 UTC
app-text/lcdf-typetools uses deprecated EAPI 5
Comment 1 Larry the Git Cow gentoo-dev 2021-03-21 21:08:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89b159a4b45f5b7b2e2877a21ac30a83fd96f596

commit 89b159a4b45f5b7b2e2877a21ac30a83fd96f596
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2021-03-09 14:57:12 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-03-21 21:05:59 +0000

    app-text/lcdf-typetools: EAPI 7
    
    Bug: https://bugs.gentoo.org/757561
    
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/19846
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../lcdf-typetools/lcdf-typetools-2.108-r1.ebuild  | 29 ++++++++++++++++++++++
 1 file changed, 29 insertions(+)
Comment 2 Sam James archtester gentoo-dev Security 2021-03-22 00:10:57 UTC
ppc64 done
Comment 3 Sam James archtester gentoo-dev Security 2021-03-22 00:11:20 UTC
ppc done
Comment 4 Sam James archtester gentoo-dev Security 2021-03-24 19:42:57 UTC
sparc done
Comment 5 Sam James archtester gentoo-dev Security 2021-03-25 21:30:43 UTC
amd64 done
Comment 6 Sam James archtester gentoo-dev Security 2021-03-25 21:33:04 UTC
x86 done
Comment 7 Sam James archtester gentoo-dev Security 2021-03-27 16:05:11 UTC
arm done

all arches done
Comment 8 Larry the Git Cow gentoo-dev 2021-03-27 16:11:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=074c09ef6f26f6d14f72657895af712a0c7d638e

commit 074c09ef6f26f6d14f72657895af712a0c7d638e
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-27 16:10:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-27 16:10:11 +0000

    app-text/lcdf-typetools: drop 2.106
    
    Closes: https://bugs.gentoo.org/757561
    Signed-off-by: Sam James <sam@gentoo.org>

 app-text/lcdf-typetools/Manifest                   |  1 -
 .../lcdf-typetools/lcdf-typetools-2.106.ebuild     | 28 ----------------------
 2 files changed, 29 deletions(-)